# SoVRMLColorInterpolator Class Reference
[VRML97 classes]

`#include <Inventor/VRMLnodes/SoVRMLColorInterpolator.h>`

Inheritance diagram for SoVRMLColorInterpolator:

List of all members.

## Detailed Description

The SoVRMLColorInterpolator class is used to interpolate color values.

The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

      ColorInterpolator {
        eventIn      SFFloat set_fraction        # (-inf, inf)
        exposedField MFFloat key           []    # (-inf, inf)
        exposedField MFColor keyValue      []    # [0,1]
        eventOut     SFColor value_changed
      }

This node interpolates among a list of MFColor key values to produce an SFColor (RGB) value_changed event. The number of colours in the keyValue field shall be equal to the number of keyframes in the key field. The keyValue field and value_changed events are defined in RGB colour space. A linear interpolation using the value of set_fraction as input is performed in HSV space (see http://www.web3d.org/technicalinfo/specifications/vrml97/part1/bibliography.html#[FOLE] for description of RGB and HSV colour spaces). The results are undefined when interpolating between two consecutive keys with complementary hues.

4.6.8, Interpolator nodes (<http://www.web3d.org/technicalinfo/specifications/vrml97/part1/concepts.html#4.6.8>), contains a detailed discussion of interpolators.

## Public Member Functions

| SoVRMLColorInterpolator (void)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoMFColor | keyValue
SoEngineOutput | value_changed

## Protected Member Functions

virtual | ~SoVRMLColorInterpolator ()

## Constructor & Destructor Documentation

SoVRMLColorInterpolator::SoVRMLColorInterpolator | ( | void |  | ) |

| Constructor.

SoVRMLColorInterpolator::~SoVRMLColorInterpolator | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLColorInterpolator::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoVRMLInterpolator.

## Member Data Documentation

SoMFColor SoVRMLColorInterpolator::keyValue

| The color values.

SoEngineOutput SoVRMLColorInterpolator::value_changed

| The eventOut color.

The documentation for this class was generated from the following files:

- SoVRMLColorInterpolator.h
- ColorInterpolator.cpp